#include <Volume.h>
#include <Node.h>
#include <Directory.h>


void install_init(dev_t device); //-------Call this before install, pass dev_t of destination device

void install_init(BVolume *volume = NULL); //-------Ditto, but pass BVolume

void mark_file(BNode *node_to_mark,const char *package_name); //-------Mark as part of package

void mark_dir(BDirectory *dir,const char *package_name); //-------Recursively mark_file

BEntryList *get_files(const char *package_name,BVolume *volume); //-------Get Files in your package

int32 uninstall(const char *package_name); //-------Remove files in your package

int32 uninstall_from_volume(const char *package_name,BVolume *volume);